Extensionfields - Query

GET https://vstmr.dev.azure.com/{organization}/{project}/_apis/testresults/extensionfields?scopeFilter={scopeFilter}&api-version=7.2-preview.1

URI 參數

名稱 位於 必要 類型 Description
organization
path True

string

Azure DevOps 組織的名稱。

project
path True

string

項目識別碼或項目名稱

api-version
query True

string

要使用的 API 版本。 這應該設定為 『7.2-preview.1』 以使用此版本的 API。

scopeFilter
query True

CustomTestFieldScope

回覆

名稱 類型 Description
200 OK

CustomTestFieldDefinition[]

成功的作業

安全性

oauth2

類型: oauth2
Flow: accessCode
授權 URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
權杖 URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

範圍

名稱 Description
vso.test 授與讀取測試計劃、案例、結果和其他測試管理相關成品的能力。

定義

名稱 Description
CustomTestFieldDefinition
CustomTestFieldScope
CustomTestFieldType

CustomTestFieldDefinition

名稱 類型 Description
fieldId

integer

fieldName

string

fieldType

CustomTestFieldType

scope

CustomTestFieldScope

CustomTestFieldScope

值 Description
none
testRun
testResult
testRunAndTestResult
system
all

CustomTestFieldType

值 Description
bit
dateTime
int
float
string
guid